MethodNode (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Class MethodNode

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.SqlNode
                      org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.internal.ast.tree.AbstractSelectExpression
                              org.hibernate.hql.internal.ast.tree.MethodNode

All Implemented Interfaces:
  antlr.collections.AST, Serializable, FunctionNode, InitializeableNode, SelectExpression

Direct Known Subclasses:
  CollectionFunction

    public class MethodNode

extends AbstractSelectExpression
implements FunctionNode

Represents a method call.

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`MethodNode()`

Method Summary
`String` | `getDisplayText()`
`Type` | `getFirstArgumentType()`
`FromElement` | `getFromElement()` Returns the FROM element that this expression refers to.
`SQLFunction` | `getSQLFunction()`
`void` | `initializeMethodNode(antlr.collections.AST name, boolean inSelect)`
`boolean` | `isCollectionPropertyMethod()`
`boolean` | `isScalar()`
`protected void` | `prepareSelectColumns(String[] columns)`
`void` | `resolve(boolean inSelect)`
`void` | `resolveCollectionProperty(antlr.collections.AST expr)`
`void` | `setScalarColumnText(int i)` Appends AST nodes that represent the columns after the current AST node.

Methods inherited from class org.hibernate.hql.internal.ast.tree.AbstractSelectExpression
`getAlias, getScalarColumnIndex, isConstructor, isReturnableEntity, setAlias, setScalarColumn`

Methods inherited from class org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.internal.ast.tree.SqlNode
`getDataType, getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.hql.internal.ast.tree.SelectExpression
`getDataType, setText`

Constructor Detail

### MethodNode

    public MethodNode()

Method Detail

### resolve

    public void resolve(boolean inSelect)
                 throws antlr.SemanticException

  Throws:
    `antlr.SemanticException`

### getSQLFunction

    public SQLFunction getSQLFunction()

  Specified by:
    `getSQLFunction` in interface `FunctionNode`

### getFirstArgumentType

    public Type getFirstArgumentType()

  Specified by:
    `getFirstArgumentType` in interface `FunctionNode`

### isCollectionPropertyMethod

    public boolean isCollectionPropertyMethod()

### initializeMethodNode

    public void initializeMethodNode(antlr.collections.AST name,
                                     boolean inSelect)

### isScalar

    public boolean isScalar()
                     throws antlr.SemanticException

  Specified by:
    `isScalar` in interface `SelectExpression`
  Overrides:
    `isScalar` in class `AbstractSelectExpression`
  Throws:
    `antlr.SemanticException`

### resolveCollectionProperty

    public void resolveCollectionProperty(antlr.collections.AST expr)
                                   throws antlr.SemanticException

  Throws:
    `antlr.SemanticException`

### setScalarColumnText

    public void setScalarColumnText(int i)
                             throws antlr.SemanticException

  Description copied from interface: `SelectExpression`
  Appends AST nodes that represent the columns after the current AST node. (e.g. 'as col0_O_')

  Specified by:
    `setScalarColumnText` in interface `SelectExpression`
  Parameters:
    `i` - The index of the select expression in the projection list.
  Throws:
    `antlr.SemanticException` - if a semantic error occurs

### prepareSelectColumns

    protected void prepareSelectColumns(String[] columns)

### getFromElement

    public FromElement getFromElement()

  Description copied from interface: `SelectExpression`
  Returns the FROM element that this expression refers to.

  Specified by:
    `getFromElement` in interface `SelectExpression`
  Overrides:
    `getFromElement` in class `AbstractSelectExpression`
  Returns:
    The FROM element.

### getDisplayText

    public String getDisplayText()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.